###################################################
### chunk number 1: 
###################################################
options(width=72)


###################################################
### chunk number 2: 
###################################################
library(picante)


###################################################
### chunk number 3: 
###################################################
data(phylocom)
names(phylocom)
phy <- phylocom$phylo
comm <- phylocom$sample
traits <- phylocom$traits


###################################################
### chunk number 4: 
###################################################
phy


###################################################
### chunk number 5: 
###################################################
comm
class(comm)
colnames(comm)
rownames(comm)


###################################################
### chunk number 6: 
###################################################
head(traits)
traitA <- df2vec(traits, "traitA")
traitA


###################################################
### chunk number 7: 
###################################################
prunedphy <- prune.sample(comm, phy)
prunedphy


###################################################
### chunk number 8: 
###################################################
par(mfrow=c(2,3))
for (i in row.names(comm)) {
	plot(prunedphy, show.tip.label=FALSE, main=i)
	tiplabels(tip=which(comm[i,] > 0), pch=19, cex=2)
}


###################################################
### chunk number 9: 
###################################################
par(mfrow=c(2,2))
for (i in names(traits)) {
	plot(phy, show.tip.label=FALSE, main=i)
	tiplabels(pch=22, col=traits[,i]+1, bg=traits[,i]+1, cex=1.5)
}


###################################################
### chunk number 10: 
###################################################
pd.result <- pd(comm, phy, include.root=TRUE)
pd.result


###################################################
### chunk number 11: 
###################################################
phydist <- cophenetic(phy)
ses.mpd.result <- ses.mpd(comm, phydist, null.model="taxa.labels", abundance.weighted=FALSE, runs=99)
ses.mpd.result
ses.mntd.result <- ses.mntd(comm, phydist, null.model="taxa.labels", abundance.weighted=FALSE, runs=99)
ses.mntd.result


###################################################
### chunk number 12: 
###################################################
par(mfrow=c(1,1))


###################################################
### chunk number 13: 
###################################################
comdist.result <- comdist(comm, phydist)
comdist.result
library(cluster)
comdist.clusters <- hclust(comdist.result)
plot(comdist.clusters)


###################################################
### chunk number 14: 
###################################################
traits <- traits[phy$tip.label,]
multiPhylosignal(traits,phy)


